%global pkgvers 0
%global scdate0 20230821
%global schash0 aab3506fb560d474012f3641ac73a002142f2369
%global branch0 master
%global source0 https://github.com/textX/textX.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           python-textx
Version:        3.1.1
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        Domain-Specific Languages and parsers in Python
License:        MIT
BuildArch:      noarch

URL:            https://textx.github.io/textX

BuildRequires:  git make python3 python3-devel python3-setuptools python3-wheel

%description
TextX is a meta-language for building Domain-Specific Languages
(DSLs) in Python. It is inspired by Xtext.

%package -n     textx-python3
Summary:        %{summary}

%description -n textx-python3
TextX is a meta-language for building Domain-Specific Languages
(DSLs) in Python. It is inspired by Xtext.


%prep
%setup -T -c -n %{name}
find %{_builddir} -name SPECPARTS -exec rm -rf {} +
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller


%build
%py3_build


%install
%py3_install
sed -i 's|[<=>].*||g' %{buildroot}%{python3_sitelib}/*.egg-info/requires.txt


%files -n textx-python3
%doc README.md
%license LICENSE.txt
%doc docs examples
%{_bindir}/*
%{python3_sitelib}/*


%changelog
* Wed Apr 27 2022 Cristian Balint <cristian.balint@gmail.com>
- github update releases
